---
title: Other things you may like
description: A nonexhaustive list of... content/media... which I like and which you may also be interested in as a visitor of my site.
created: 11/06/2020
updated: 30/08/2023
slug: otherstuff
---
I'm excluding music from this because music preferences seem to be even more varied between the people I interact with than other stuff.
Obviously this is just stuff *I* like; you might not like it, which isn't really my concern - this list is primarily made to bring to people's attention stuff they might like but have not heard of.

* [SCP Foundation - Antimemetics Divison](http://www.scp-wiki.net/antimemetics-division-hub) by qntm - fiction about antimemes ("ideas with self-censoring properties") in the [SCP](https://en.wikipedia.org/wiki/SCP_Foundation) universe. Cosmic horror and pretty good. Now completed except for an epilogue. You can read some other work by the author, on [their website](https://qntm.org) and I would recommend this.
* [Mother of Learning](https://www.fictionpress.com/s/2961893/1/Mother-of-Learning) by nobody103, 823k words, now completed. I'll just copy the summary from FictionPress here: "Zorian, a mage in training, only wanted to finish his education in peace. Now he struggles to find answers as he finds himself repeatedly reliving the same month. 'Groundhog Day' style setup in a fantasy world.".
* [The Hitchhiker's Guide to The Galaxy](https://www.goodreads.com/series/40957-hitchhiker-s-guide-to-the-galaxy) by Douglas Adams (a series). It is pretty popular but quite a few people aren't aware of it, which is a shame. Regarded as some of the best science-fiction comedy ever. Very surrealist.
* [Sufficiently Advanced Magic](https://www.goodreads.com/book/show/34403860-sufficiently-advanced-magic) by Andrew Rowe. Progression fantasy with an interesting magic system. It's part of a series containing <del>two</del> four books so far (unfinished).
* [Mistborn](https://www.goodreads.com/series/40910-mistborn) by Brandon Sanderson. Initially seems like a pretty standard "chosen one must defeat the evil empire"-type story, is actually much more complex.
* [Discworld](https://en.wikipedia.org/wiki/Discworld) by Terry Pratchett, a *very* long-running (41 books, but it's sort of made of various miniserieses so you don't really need to read all of them or read in order) fantasy series set on the "Discworld", a flat world on the back of four elephants on a turtle. As you might expect from that description, it's somewhat comedic, but also has long-running plot arcs, great character development, and a world not stuck in medieval stasis (as new technology is introduced and drives some of the plots).
  * He has good collaboratively-written books like [The Long Earth](https://www.goodreads.com/book/show/13147230-the-long-earth) and Good Omens (mentioned below).
* [Minecraft](https://www.minecraft.net/en-us/). You've probably heard of it, as it's apparently the most popular computer game ever, but it seems worth listing. It's a block-based sandbox game in which you can do a lot of stuff. 
  * Java Edition, which you should probably be playing anyway instead of the mobile version/Windows 10 Edition/Bedrock Edition/the console one/whatever else because it lacks the horrible, horrible microtransactions Microsoft implemented, has mod support, allowing you to use a *huge* range of extra content for free. This includes stuff like [programmable computers](https://www.curseforge.com/minecraft/mc-mods/cc-tweaked), [machines and stuff](https://www.curseforge.com/minecraft/mc-mods/thermal-expansion), [new "dimensions"](https://www.curseforge.com/minecraft/mc-mods/the-twilight-forest) (I do NOT like this use of this word but it's seeped into popular terminology), a complex [magic system](https://www.curseforge.com/minecraft/mc-mods/thaumcraft) (note that this is no longer updated, you should consider Astral Sorcery and Botania and other modern ones which are), and this [one modpack](https://www.technicpack.net/modpack/mcnewhorizons.677387) (well, there are probably others) with incredibly complex progression which could take [months](https://www.youtube.com/playlist?list=PLliiJ70rl2NvJjby2LoVuP1EuOvRAyf97) to finish.
  * There's also [Minetest](https://www.minetest.net/), a free and open source game in the style of Minecraft, which I mention for completeness - it's much better from a technical perspective, and free, but also significantly less polished and I don't really like it.. 
* [Factorio](https://factorio.com/), a 2D factory building game where you can make intricate and sprawling factories to... produce science packs, mostly. Extremely well-optimized so that you can have vast amounts of machines without speed dropping to unusable levels, without problematic hacks like Minecraft's chunkloading.
* [FTL: Faster than Light](https://subsetgames.com/ftl.html), a very replayable roguelite (with nice music, too) with tactical real-time (spaceship) combat and difficult choices. I have a page with (spoilery) tips [here](/FTL).
* [Universe Sandbox](http://universesandbox.com/), a game/simulator in which you can meddle with the very stars (and planets) in the skies.
* The [Edge Chronicles](https://en.wikipedia.org/wiki/The_Edge_Chronicles) by Paul Stewart and Chris Riddel, a "high fantasy" (in the sense that it has large-scale plots and is set in a very non-real-world-like world) book series which is... well, apparently a children's series, and it is in many ways, but it's also somewhat darker than usual for that. Has nice illustrations.
* [Sixteen Ways to Defend a Walled City](https://www.goodreads.com/book/show/37946419-sixteen-ways-to-defend-a-walled-city) by K. J. Parker. A funny book about an irreverent engineer running a city.
* [Doing God's Work](https://www.royalroad.com/fiction/25442/doing-gods-work), a web serial about a rapidly escalating plot to dethrone God (which is "based").
* [styropyro](https://youtube.com/user/styropyro/), the top search result for "crazy laser guy". Builds interesting lasery things (also Tesla coils and whatnot). Also has a [Discord server](https://discord.gg/ckGrMDR), which hosts many interesting discussions about primarily lasers and electronics, but many other things too.
* [Ender's Game](https://en.wikipedia.org/wiki/Ender%27s_Game) by Orson Scott Card, a scifi book about children being trained to be the next leaders in soldiers in humanity's war with some aliens. I am not really a fan of the sequels.
* [Chilli and the Chocolate Factory](https://www.fanfiction.net/s/13451176/1/Chili-and-the-Chocolate-Factory-Fudge-Revelation) by gaizemaize, a now-completed web serial. It is, unsurprisingly, Charlie and the Chocolate Factory fanfiction which is actually pretty good. It manages to capture the bizarre surreal spirit of the original one, and is very funny. I vaguely suspect that the whole thing might just be convoluted setup for a pun.
* [UNSONG](http://unsongbook.com/) by Scott Alexander, which is *also* a now-completed web serial. A bizarre world in which, after Apollo 8 crashes into the crystal sphere surrounding the world, the planet switches over to running on kabbalistic Judaism. It sounds very strange, and it *is*, but Scott makes it work while demonstrating the power of ridiculous pareidolia.
* [Friendship is Optimal](http://www.fimfiction.net/story/62074/friendship-is-optimal) by Iceman, a cautionary tale about unfriendly AI.
  * [Message in a Bottle](https://www.fimfiction.net/story/368986/message-in-a-bottle) - vaguely similar, I think. I forgot what actually happens in it.
* [Good Omens](https://en.wikipedia.org/wiki/Good_Omens) by Neil Gaiman and Terry Pratchett, a "comedy about the birth of the son of Satan and the coming of the End Times" as Wikipedia puts it. You might think it would be hard to make a comedy out of it, but they manage very well.
* [The Expanse](https://www.goodreads.com/series/56399-the-expanse) by James S. A. Corey, a near-future-ish scifi series in space which actually bothers with some level of realism. Also a TV series now if you prefer those.
* [Three Parts Dead](https://www.goodreads.com/book/show/13539191-three-parts-dead) by Max Gladstone, a very neat fantasy book (part of the "Craft Sequence"; I have also read "Two Serpents Rise" now) with a fairly modern-but-different world built on "Craft" (essentially, human emulations of the gods' powers: this caused some conflict in the backstory) and applied theology.
* [We Are Legion (We Are Bob)](https://www.goodreads.com/book/show/32109569-we-are-legion-we-are-bob) by Dennis E. Taylor, a story of von Neumann probes managed by uploaded human intelligences.
  * [IO.SYS](https://www.datapacrat.com/IO.SYS.html) is a short story with a somewhat similar concept but significantly darker.
* [The Combat Codes](https://www.goodreads.com/book/show/27790093-the-combat-codes) by Alexander Darwin. Vaguely like Ender's Game but hand-to-hand combat and an exotic-feeling sort of science fantasy world. I think they're doing a rerelease with edited versions ~~soon~~ now, so it might be hard to find.
* [Schlock Mercenary](https://www.schlockmercenary.com/), a *very* long-running space opera webcomic. It's been running for something like 20 years, and the art and such improve over time. Now finished (for now).
* [Freefall](http://freefall.purrsia.com/), a hard-science-fiction webcomic.
* [Mage Errant](https://www.goodreads.com/series/252085-mage-errant) - a moderately-long-by-now fantasy series with a very vibrant world, and which actually considers the geopolitical implications of there being beings around ("Great Powers") able to act as one-man armies. Now complete ~~(I haven't read the last two books though)~~ though I do not like the last book as much in some ways.
* [Void Star](https://www.goodreads.com/book/show/29939057-void-star) - somewhat weird and good. The prose is very... poetic is probably the best word (it contains phrases like "isoclines of commitment and dread", "concentric and innumerable" and "high empyrean")... which I enjoyed, but it is polarizing. The setting seems like a generally reasonable extrapolation of a bunch of ongoing trends into the future, although it's unclear exactly *when* it is (some of the book implies 2150 or so, but this seems implausible). Its most interesting characteristic is that it absolutely does not tell you what's going on ever: an interview I read said it was written out of order, and that makes sense (another fun quirk of it is that the chapters are generally very short). I think I know most of what happens now, but it has taken a while.
* [Firefall](https://www.goodreads.com/book/show/22838183-firefall) (Blindsight/Echopraxia) - one of those rare books which is actually decent at portraying very alien intelligences. I preferred Blindsight to Echopraxia but both are worth reading. Some people seem to have thought that it is "cosmic horror" (particularly Blindsight) and/or had their psyche shattered by the implications of what they read within, but this didn't happen to me for whatever reason. Also, Peter Watts somehow makes vampires work well scientifically.
* [Endeavour](https://www.goodreads.com/book/show/22701594-endeavour) and the sequel, Erebus, are apparently science fiction I liked. I don't actually remember much about them, but empirically my fiction preferences are pretty consistent across time.
* [12 Miles Below](https://www.royalroad.com/fiction/42367/12-miles-below/) - ongoing webserial (I am not fully caught up or close to it yet) with intelligent and well-written characters. It has more grammar/spelling errors than I would like (I would like none) but most people care about this less than me.
* [Branches on the Tree of Time](https://www.fanfiction.net/s/9658524/1/Branches-on-the-Tree-of-Time) - Terminator fanfiction which manages to make Terminator make sense (somewhat).
* [The Daily Grind](https://www.royalroad.com/fiction/15925/the-daily-grind) - ongoing (I think? I got distracted from following it at some point and it's now really very long) webserial about relentlessly and realistically exploiting a dungeon in the modern world.
* [CORDYCEPS: Too clever for their own good](https://archiveofourown.org/works/6178036/chapters/14154868) - good short horror/mystery; I will not spoil it further.
* [Schild's Ladder](https://www.goodreads.com/book/show/156780.Schild_s_Ladder) - essentially just Greg Egan showing off cool physics ideas, but I quite like that. Egan also manages to pull off an actually-futuristic future society and world.
  * Egan has short story anthologies which I have also read and recommend.
* [Stories of Your Life and Others](https://www.goodreads.com/book/show/223380.Stories_of_Your_Life_and_Others) - just very good short stories. Chiang has written a sequel, [Exhalation](https://www.goodreads.com/book/show/41160292-exhalation), which I also entirely recommend.
  * He also write [Arrival](https://www.goodreads.com/book/show/32200035-arrival). I like this but not the movie, since the movie's scriptwriters clearly did not understand what was going on.
* [A Hero's War](https://fictionpress.com/s/3238329/1/A-Hero-s-War) - bootstrapping industrialization in a setting with magic. Unfortunately, unfinished and seems likely to remain that way.
* [Snow Crash](https://www.goodreads.com/book/show/40651883-snow-crash) - a fun action story even though I don't take the tangents into Sumerian mythology (?) very seriously.
  * Since this list was written, I think it became notorious for introducing the "metaverse" as pushed by Facebook now. This is very silly. Everyone who is paying attention knows that the real metaverse is Roblox.
* [Limitless](https://en.wikipedia.org/wiki/Limitless_(TV_series)) (the movie is also decent) - actually among the least bad depictions of superhuman intelligence I've seen in media, and generally funny.
* [Pantheon](https://en.wikipedia.org/wiki/Pantheon_(TV_series)) - ~~unfortunately cancelled and pulled from streaming (for tax purposes somehow?) and thus hard to watch,~~ apparently uncancelled and hosted by Amazon now?! Still hard to watch. One of about three TV series I've seen on the subject of brain uploads, and I think the smartest, not that this is a very high bar since it's frequently quite silly (they repeatedly talk about how uploads are just data which can be copied, and then forget this every time it would be useful). Some day I want my own ominous giant cube of servers in Norway.
* [Mark of the Fool](https://www.goodreads.com/series/346305-mark-of-the-fool) - somewhat standardly D&D-like world, but the characters are well-written and take reasonable decisions.
* [Nice Dragons Finish Last](https://www.goodreads.com/series/128485-heartstrikers) - enjoyable urban fantasy.
* [Street Cultivation](https://www.goodreads.com/series/287542-street-cultivation) - again, sane characters who do not make obviously stupid decisions for plot reasons.
* [Nexus](https://www.goodreads.com/book/show/13642710-nexus) - somewhat dumb plot (I think; I read it a while ago and am not far through a reread now) but very cool transhumanist technology.

Special mentions (i.e. "I haven't gotten around to reading these but they are well-reviewed and sound interesting") to:
* [The Divine Cities](https://www.goodreads.com/series/159695-the-divine-cities) by Robert Jackson Bennet.
* [Children of Time](https://www.goodreads.com/book/show/25499718-children-of-time) by Adrian Tchaikovsky.
* [The Murderbot Diaries](https://www.goodreads.com/series/191900-the-murderbot-diaries) by Martha Wells.
* [Codex Alera](https://www.goodreads.com/series/45545-codex-alera) by Jim Butcher.
* [Digitesque](https://www.goodreads.com/series/183319-digitesque) by Guerric Haché.
* [This Is How You Lose The Time War](https://www.goodreads.com/book/show/43352954-this-is-how-you-lose-the-time-war) by Amal El-Mohtar, Max Gladstone.
* [The Machineries of Empire](https://www.goodreads.com/series/160439-the-machineries-of-empire) by Yoon Ha Lee.
* [The Books of Babel](https://www.goodreads.com/series/127130-the-books-of-babel) by Josiah Bancroft.
* [House of Suns](https://www.goodreads.com/book/show/1126719.House_of_Suns) by Alastair Reynolds.
  * "house of suns is really very good, you should read" - baidicoot/Aidan, creator of the world-renowned [Emu War](/emu-war) game
* [Singularity Sky](https://www.goodreads.com/book/show/81992.Singularity_Sky) by Charlie Stross.

If you want EPUB versions of the free web serials here for your e-reader, there are tools to generate those, or you can contact me for a copy.

You can suggest other possibly-good stuff in the comments and I may add it to an extra section, and pointlessly complain there or [by email](mailto:me@osmarks.net) if you don't like some of this. Please tell me if any links are dead.
